cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Community Tip - Need to share some code when posting a question or reply? Make sure to use the "Insert code sample" menu option. Learn more! X

Error Messages after installing 8.5

Keffler
5-Regular Member

Error Messages after installing 8.5

Hey community,

we wanted to update our runnig THingworx 8.4 to 8.5 so I had to test everything local on my computer before we update the runnig system.
I got the tomcat version 9 and intalled it all, everything is working ... I thought.

I wanted to put our customizations in my lokal system and I got some import error. 
I went to monitoring, to monitoring and to the ApplicationLogg to see what is going on.
I found there 2 error messeges that are coming in every minute and I don´t know what is going on there.

The first one is "Connection to localhost:5432 refused. Check that the hostname and port are correct and that the postmaster is accepting TCP/IP connections." and I don´t know what is about localhost:5432, because there is nothing running on this port and with 8.4 I did not had this error.

The secoud one is "Error Executing Event Handler 'RunScheduler' for event Type.Thing:Entity.PTC.SCA.SCO.KPIScheduler:Event.ScheduledEvent" 

Maybe someone has an idea what I did wrong or what I have to change for not getting these errors?

1 ACCEPTED SOLUTION

Accepted Solutions
slangley
23-Emerald II
(To:Keffler)

Hi @Keffler.

 

So you upgraded ThingWorx to 8.5, then reimported Mfg Apps 8.4.2, then upgraded to Mfg Apps 8.5?  If you followed all instructions for upgrading to ThingWorx Apps 8.5 and everything imported successfully, based on the error you provided in the original post, it sounds like you failed to follow the "Post Import Database Configurations" available here.

 

Regards.

 

--Sharon

 

View solution in original post

5 REPLIES 5
posipova
20-Turquoise
(To:Keffler)

Are you running your database on that port? 

Keffler
5-Regular Member
(To:posipova)

Hey,
I´m not running any sort of database connected to my local Thingworx. Maybe in the "on use" version of our Thingworx, but my lokal verion should not be effected by that in any way.

slangley
23-Emerald II
(To:Keffler)

Hi @Keffler.

 

It appears that you are running ThingWorx Manufacturing Apps, correct?  If so, which specific version of Mfg Apps were you running prior to upgrading?  If running Mfg Apps 8.4.1, it is necessary to upgrade to 8.4.3 before upgrading ThingWorx and Mfg Apps to 8.5.  If you were running Operator Advisor, there may be additional requirements depending on the version your were previously running.

 

Since there are a lot of unknowns here, please provide as much detail as possible around your upgrade process.  Here is a link to the upgrade procedures that will provide more information.

 

Regards.

 

--Sharon

Keffler
5-Regular Member
(To:slangley)

Hey @slangley,

 

I was running the 8.4.2 version of the MFG Apps before I updated to 8.5.
To the process. Before we had an older version of tomcat for lokal use. So I intalled the new tomcat 9 version and configurate it for Thingworx in general, I used a manual for that.
After that I deployed Thingworx 8.5 on the tomcat. I imported all Extension from 8.4, extension-dependencies, extension-upgrade-utility and the extensions. Then I imported all 8.5 extiension version.

I hope that could help
And thanks for the link, I´ll check if I did everything corectly.

slangley
23-Emerald II
(To:Keffler)

Hi @Keffler.

 

So you upgraded ThingWorx to 8.5, then reimported Mfg Apps 8.4.2, then upgraded to Mfg Apps 8.5?  If you followed all instructions for upgrading to ThingWorx Apps 8.5 and everything imported successfully, based on the error you provided in the original post, it sounds like you failed to follow the "Post Import Database Configurations" available here.

 

Regards.

 

--Sharon

 

Top Tags